Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 488884 - =dev-db/hsqldb-1.8.1.3-r1 stabilization request (as lower versions DEPEND on =virtual/jdk-6)
Summary: =dev-db/hsqldb-1.8.1.3-r1 stabilization request (as lower versions DEPEND on ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 316457 391067 EAPI1Removal
  Show dependency tree
 
Reported: 2013-10-21 14:19 UTC by AE
Modified: 2014-08-13 09:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description AE 2013-10-21 14:19:20 UTC
The latest ant update draws in dev-db/hsqldb, which in turn wants to install icedtea:6, which is somewhat redundant for systems already using JDK 7.

Now that oracle-jdk-bin:1.6 has already been dropped, maybe it's a good idea to start retiring packages explicitly depending on virtual/jdk-1.6 (if possible without ramifications), so please stabilize dev-db/hsqldb-1.8.1.3-r1.

Reproducible: Always
Comment 1 AE 2013-10-21 14:20:58 UTC
Oh sorry, just realized that there never was an oracle-jdk-bin:1.6 and that sun-jdk:1.6 is still in portage, albeit masked. Still, time to move on I guess...
Comment 2 Manuel Rüger (RETIRED) gentoo-dev 2014-06-20 01:18:21 UTC
@java: ping, can we move on here?

Target arches: amd64 ppc ppc64 x86
Comment 3 charles17 2014-07-07 09:43:45 UTC
This is also blocking #391067
Comment 4 Pacho Ramos gentoo-dev 2014-07-20 09:18:01 UTC
amd64 stable
Comment 5 Pacho Ramos gentoo-dev 2014-07-20 09:20:37 UTC
x86 stable
Comment 6 Agostino Sarubbo gentoo-dev 2014-08-02 18:09:43 UTC
ppc64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2014-08-13 09:34:38 UTC
ppc stable. Closing.